datacache <- new.env(hash=TRUE, parent=emptyenv())

tilingmouse11r03mmrefseq <- function() showQCData("tilingmouse11r03mmrefseq", datacache)
tilingmouse11r03mmrefseq_dbconn <- function() dbconn(datacache)
tilingmouse11r03mmrefseq_dbfile <- function() dbfile(datacache)
tilingmouse11r03mmrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
tilingmouse11r03mmrefseq_dbInfo <- function() dbInfo(datacache)

tilingmouse11r03mmrefseqORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "tilingmouse11r03mmrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "tilingmouse11r03mmrefseq", "chip tilingmouse11r03mmrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(tilingmouse11r03mmrefseq_dbconn())
}

